Announcement

Collapse
No announcement yet.

libarmadillo0

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • libarmadillo0

    I can't install libraspberrypi-dev without removing libarmadillo0 and replacing it with libraspberrypi0. There is a libraspberrypi-dev, but it doesn't contain the same headers.

  • #2
    Libraspberrypi0 was the bane of my existence while building armadillIan. The crazy dependencies mean that it completely overwrites the entire boot system with the raspberry boot programs making your system die a horrible death.

    So I had to create libarmadillo0 instead with the armadillo specific dependencies. There should be a libarmadillo0-Dev package with the correct headers for the library versions in libarmadillo0. The two have to match, and trying to use the headers from libraspberrypi0 with the libraries from libarmadillo0 if the raspberry ones have moved on is most likely doomed from the start.

    Maybe it's time to add an upgrade of libarmadillo0 to my too list...

    Comment

    Working...
    X